% gentestim2.m
% Generate test image of vertical colour stripes for Photoshop 
% experiments for IB paper 8 Image Proc course.
%
% Nick Kingsbury, Cambridge University, Nov 2005.

N =256; % size of test images
x = zeros(N,N,3);  % Start with mid grey image.

% Generate a ramp, 32 pels wide.
s = [0:N-1]' * ones(1,N/8);
z = s*0;

% generate stripes in [Grey Red Yel Grn Cyan Blu Mag Grey]  
x(:,:,1) = [s  s  s  z  z  z  s  s]; % Red
x(:,:,2) = [s  z  s  s  s  z  z  s]; % Green
x(:,:,3) = [s  z  z  z  s  s  s  s]; % Blue

xui = uint8(x);

imwrite(xui,'test2.tif');





