function y = im_lowpass(x,sigma);
% function y = im_lowpass(x,sigma);
%
% Perform 2-D Gaussian lowpass filtering on colour image x.
%
% Nick Kingsbury, Cambridge University, 2006.

wh = waitbar(0,'Filtering image');

% Generate 1-D Gaussian impulse response.
g = gaussian(sigma);

% Filter each colour slice of x.
y = x;
for k=1:3,
    waitbar(k/4);
    y(:,:,k) = colfilter(colfilter(y(:,:,k),g).',g).'; 
end
waitbar(1);
y = max(min(y,255),0);
close(wh) % Close wait bar
return;


