% ph_addnoise.m
% Routine called by 'Add noise' menu item in photo editor.
%
% Nick Kingsbury, Cambridge University, 2006.

switch mode
    
    case 'Init'  
        % Open new fig window for entering params
        figure(2);
        set(gcf,'position',[fig2pos  260  60]);
        set(gcf,'numbertitle','off','name','Add Gaussian Noise (zero mean)');
        
        edbox = uicontrol(gcf,'style','edit','pos',[20 10 60 20],...
            'call','mode=''Add noise''; ph_addnoise;');
        uicontrol(gcf,'style','text','str','RMS noise','pos',[10 30 80 16]);
        closebtn = uicontrol(gcf,'str','Close','pos',[180 10 60 20],...
            'call','mode=''Close''; ph_addnoise;');
        
        % Create unit-variance noise image.
        noise = randn(size(xui));
        
        if exist('sigma')~=1, sigma = 5; end
        set(edbox,'string',sprintf('%.2f',sigma));
        
    case 'Add noise'
        sigma = sscanf(get(edbox,'string'),'%f');
        set(edbox,'string',sprintf('%.2f',sigma));
        yui = uint8(double(xui)+sigma*noise);
        update_y; 
        figure(2);
        
    case 'Close'
        close(2); 
        newbefore = 1; 
        showimages;
        
    end
