% ph_addnoise.m
% Routine called by 'Add noise' menu item in photo editor.
%
% Nick Kingsbury, Cambridge University, November 2005.

% Open new fig window for entering params

figure;
set(gcf,'position',[400  624  260  60]);
set(gcf,'numbertitle','off','name','Add Gaussian Noise (zero mean)');

% Create unit-variance noise image.
noise = randn(size(xui));

if exist('sigma') ~= 1, sigma = 5; end

edbox = uicontrol(gcf,'style','edit','string',sprintf('%.2f',sigma),'pos',[20 10 60 20]);
uicontrol(gcf,'style','text','str','RMS noise','pos',[10 30 80 16]);
addbox = uicontrol(gcf,'str','Add noise','pos',[100 10 60 20]);

accpt = uicontrol(gcf,'str','Accept','pos',[180 10 60 20]);

% Main part of call-back string for any update of sigma.
cb = ['sigma=sscanf(get(edbox,''string''),''%f'');'...
      'set(edbox,''string'',sprintf(''%.2f'',sigma));'...
      'yui = uint8(double(xui)+sigma*noise);'...
      'showimages'];

set(edbox,'call',cb);
set(addbox,'call',cb);
set(accpt,'call','xui=yui; close(gcf); showimages; ');
